﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight; 
using C1.Silverlight.DataGrid;
using System.ComponentModel;

namespace ColumnPicker
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<Person> datasource = new List<Person>();
            for (int i = 0; i <= 50; i++)
            {
                datasource.Add(new Person() { Name = "Name" + i.ToString(), Age = i });      
            }

            dg.ItemsSource = datasource;
            var _dgmenu = new C1ContextMenu();
        
            var cpitem = new C1MenuItem() { Header = "Column Picker" };
            cpitem.Click += (s, e) =>
                {
                    C1Window window = new C1Window() { Header = "Column Picker", Height = 300, Width = 300, ShowMaximizeButton = false, ShowMinimizeButton = false };
                    ListBox columns = new ListBox();
                    columns.ItemTemplate = this.Resources["lbitemtemplate"] as DataTemplate;
                    columns.ItemsSource = dg.Columns;
                    window.Content = columns;
                    window.CenterOnScreen();
                    window.Show();
                };
            _dgmenu.Items.Add(cpitem);
               C1ContextMenuService.SetContextMenu(dg, _dgmenu);   
           
        }

       }

    public class Person 
  {
        public string Name { get; set; }
        public int Age { get; set; }
 
  }

    


}
